package cn.hnthyy.thmz.service.thmz;

import cn.hnthyy.thmz.entity.thmz.Windows;

public interface WindowsService {
    /**
     * 新增窗口记录
     *
     * @param windows
     * @return
     */
    int saveWindows(Windows windows);

    /**
     * 查询用户的最后一个在使用中的窗口号
     * @param userIdCode
     * @return
     */
    Windows queryLastWindowsByUserIdCode(String userIdCode,String ipAddress);

    /**
     * 更新打印机下标
     * @param windows
     * @return
     */
    int modifyWindows(Windows windows);
}
